ripley/src/domainhelpers.h File Reference
`#include <ripley/Ripley.h>`
`#include <escript/Data.h>`

Go to the source code of this file.

## Namespaces

| ripley

## Typedefs

typedef std::map< std::string, escript::Data > | ripley::DataMap

## Functions

const escript::Data | ripley::unpackData (const std::string target, const DataMap &mapping)
bool | ripley::isNotEmpty (const std::string target, const DataMap &mapping)
void | ripley::doublyLink (std::vector< ripley::IndexVector > &va, std::vector< ripley::IndexVector > &vb, int a, int b)
void | ripley::factorise (std::vector< int > &factors, int product)